# Generated by Django 4.0.4 on 2022-04-27 06:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cat', models.IntegerField()),
                ('art', models.CharField(max_length=60)),
                ('price', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cat', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='Racun',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sto', models.CharField(max_length=16)),
                ('ukupno', models.FloatField()),
                ('operater', models.IntegerField(default=0)),
                ('isporucen', models.BooleanField(default=False)),
                ('naplacen', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Stavke',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pdadmin.article')),
                ('racun', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pdadmin.racun')),
            ],
        ),
        migrations.AddField(
            model_name='racun',
            name='articles',
            field=models.ManyToManyField(through='pdadmin.Stavke', to='pdadmin.article'),
        ),
    ]
